Bug 229890 - games/minecraft-server: Update to 1.13
Summary: games/minecraft-server: Update to 1.13
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2018-07-19 17:44 UTC by Jonathan Price
Modified: 2018-08-07 13:59 UTC (History)
3 users (show)

See Also:


Attachments
Patch file (3.07 KB, patch)
2018-07-19 17:44 UTC, Jonathan Price
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Price 2018-07-19 17:44:22 UTC
Created attachment 195280 [details]
Patch file

Update games/minecraft-server from 1.12.2 to 1.13

The .jar file is now hosted at a different URL, and has a different filename. These changes have both been accounted for in the port. No further changes were required.
Comment 1 Mateusz Piotrowski freebsd_committer 2018-07-20 10:41:11 UTC
It looks like you are updating from 1.11.2 in the patch. It is a "typo", right?
Comment 2 Mateusz Piotrowski freebsd_committer 2018-07-20 11:00:05 UTC
Differential revision: https://reviews.freebsd.org/D16364
Comment 3 commit-hook freebsd_committer 2018-08-01 08:31:14 UTC
A commit references this bug:

Author: 0mp
Date: Wed Aug  1 08:30:39 UTC 2018
New revision: 476166
URL: https://svnweb.freebsd.org/changeset/ports/476166

Log:
  games/minecraft-server: Update to 1.13

  PR:		229890
  Submitted by:	Jonathan Price <freebsd@jonathanprice.org> (maintainer)
  Reviewed by:	mat (mentor)
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D16364

Changes:
  head/games/minecraft-server/Makefile
  head/games/minecraft-server/distinfo
  head/games/minecraft-server/files/minecraft-server.in
  head/games/minecraft-server/files/minecraft.in
  head/games/minecraft-server/pkg-plist
Comment 4 Mateusz Piotrowski freebsd_committer 2018-08-01 08:32:02 UTC
Thank you :)
Comment 5 Alexandre Labarre 2018-08-06 19:58:49 UTC
Hi,
I cannot upgrade minecraft-server port.

# portmaster -d minecraft-server

===>>> Currently installed version: minecraft-server-1.12.2
===>>> Port directory: /usr/ports/games/minecraft-server

===>>> Gathering distinfo list for installed ports

===>>> Launching 'make checksum' for games/minecraft-server in background
===>>> Gathering dependency list for games/minecraft-server from ports
===>>> Initial dependency check complete for games/minecraft-server


===>>> Starting build for games/minecraft-server <<<===

===>>> All dependencies are up to date

===>  Cleaning for minecraft-server-1.13
===>  License minecraft needs confirmation, will ask later
===>   minecraft-server-1.13 depends on file: /usr/local/sbin/pkg - found
=> server.jar doesn't seem to exist in /usr/ports/distfiles//minecraft-server-1.13.
=> Attempting to fetch https://launcher.mojang.com/mc/game/1.13/server/d0caafb8438ebd206f99930cfaecfa6c9a13dca0/server.jar
server.jar                                    100% of   31 MB   82 MBps 00m00s
===> Fetching all distfiles required by minecraft-server-1.13 for building
===>  Extracting for minecraft-server-1.13
=> SHA256 Checksum OK for minecraft-server-1.13/server.jar.
===>  Patching for minecraft-server-1.13
===>  Configuring for minecraft-server-1.13
===>  Staging for minecraft-server-1.13
===>   Generating temporary packing list
===> Creating groups.
===> Creating users
/bin/mkdir -p /usr/ports/games/minecraft-server/work/stage/usr/local/minecraft-server
install  -m 0644 /usr/ports/distfiles//server.jar /usr/ports/games/minecraft-server/work/stage/usr/local/minecraft-server
install: /usr/ports/distfiles//server.jar: No such file or directory
*** Error code 71

Stop.
make[1]: stopped in /usr/ports/games/minecraft-server
*** Error code 1

Stop.
make: stopped in /usr/ports/games/minecraft-server

===>>> make stage failed for games/minecraft-server
===>>> Aborting update


===>>> You can restart from the point of failure with this command line:
       portmaster <flags> games/minecraft-server

This command has been saved to /tmp/portmasterfail.txt